/* Poppins */
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/* Jost */
@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap');
/* Allura */
@import url('https://fonts.googleapis.com/css2?family=Allura&display=swap');


@font-face {
    font-family: Eyesome_Script;
    src: url(resources/font/Eyesome\ Script.otf);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--jost);
    outline: none;
    user-select: transparent;
    -webkit-tap-highlight-color: none;
}

:root {
    --white: #f0f1ff;
    --dirty-white: #e9eafa;
    --egg-white: #f5f5f5;
    --black: #000;
    --dark-gray: #4e4949;
    --light-gray: #b1a8a8;
    --gray: #7a7373;
    --pink: #fca5f1;
    --purple: #cdb5ff;

    --gradient: linear-gradient(45deg, #fca5f1, #cdb5ff);

    --facebook: #0864ff;
    --linkedin: #0d64c5;
    --instagram: linear-gradient(45deg, #fcb458 15%, #ed6043 25%, #f2203e 45%, #cd337f 60%, #8943b5 80%, #5b4dd2 100%);
    --twitter: #01a2f5;

    --poppins: 'Poppins', serif;
    --jost: 'Jost', sans-serif;
    --allura: 'Allura', serif;
    --eyesome: 'Eyesome_Script', serif;
}

::selection {
    background: var(--purple);
    color: #fff;
}

/* For the whole page or a specific container */
::-webkit-scrollbar {
    width: 8px;              /* Vertical scrollbar width */
    height: 8px;             /* Horizontal scrollbar height */
  }
  
  ::-webkit-scrollbar-track {
    background: #f1f1f1;     /* Track color */
    border-radius: 10px;
  }
  
  ::-webkit-scrollbar-thumb {
    background: var(--purple);     /* Scrollbar handle color */
    border-radius: 10px;
  }
  
  ::-webkit-scrollbar-thumb:hover {
    background: #b5a5d6;     /* Handle color on hover */
  }
  

html {
    font-size: 90%;
}

body {
    color: var(--black);
    width: 100vw;
    height: fit-content;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--white);
    font-family: var(--jost);
    /* border: 1px solid blue; */
}

.main-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    max-width: 1600px;
}

header {
    min-height: auto;
    width: 100vw;
    max-width: 1600px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 12%;
}

@keyframes slideUpDown {
    0% {
        opacity: 1;
        transform: translateY(0);
    }
    20% {
        opacity: 0.5;
    }
    50% {
        opacity: 0;
        transform: translateY(-100%);
    }
    75% {
        opacity: 0.5;
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes slideFromLeft {
    0% {
        opacity: 0;
        transform: translateX(-250%);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes slideFromRight {
    0% {
        opacity: 0;
        transform: translateX(250%);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

.slide-up {
    animation: slideUpDown 1.2s ease-in-out;
}

.slide-from-left {
    animation: slideFromLeft 1.2s ease-in-out;
    animation-delay: 1.2s;
}

.slide-from-right {
    animation: slideFromRight 1.2s ease-in-out;
    animation-delay: 1.2s;
}

body {
    overflow-x: hidden;
}

/* ------------ NAV ------------------- */
.checkBtn {
    font-size: 1.8rem;
    color: var(--text);
    line-height: 0.25rem;
    cursor: pointer;
    display: none;
}

#check {
    display: none;
}

.close-icon {
    display: none;
}

.logo {
    display: flex;
    align-items: center;
}

.logo:hover {
    opacity: 0.7;
}

.logo button {
    display: flex;
    align-items: center;
    gap: 1.2rem;
    border: none;
    background: none;
    cursor: pointer;
}

.logo P {
    display: inline-block;
    vertical-align: middle;
    font-weight: 600;
    font-size: 1.5rem;
    letter-spacing: 1px;
}

.nav {
    z-index: 1000;
}

.nav ul {
    display: flex;
    text-decoration: none;
    align-items: center;
    gap: 1.8rem;
    list-style: none;
    padding: 1.2rem 0;
}

.nav ul li button {
    border: none;
    background: none;
    font-size: 1.2rem;
    font-weight: 600;
    cursor: pointer;
    border-radius: 10px;
    text-transform: uppercase;
    position: relative;
}

.nav ul li button::after {
    content: '';
    width: 0%;
    height: 0.15rem;
    background-image: linear-gradient(45deg, var(--pink), var(--purple));
    position: absolute;
    left: 0;
    bottom: 0.05rem;
    transition: 0.5s;
}

nav ul li button:hover::after,
nav ul li button.active::after {
    width: 100%;
}

.nav ul li:hover:not(:last-child) {
    color: var(--gray);
    transition: 0.3s;
}

.socials {
    display: flex;
    justify-content: space-between;
    align-items: center;
    min-width: 10rem;
    gap: 1rem;
}

.socials-div a {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    padding: 0.5rem;
    width: 3rem;
    height: 3rem;
}

.socials .socials-div a:hover {
    background-image: var(--gradient);
    transition: 0.4s;
}

.socials-div a {
    text-decoration: none;
    color: var(--black);
}

.socials a i {
    font-size: 2rem;
    text-shadow: 0 4px 8px 0 rgba(243, 4, 151, 0.2),
        0 6px 20px 0 rgba(243, 4, 151, 0.19),
        0 8px 24px 0 rgba(243, 4, 151, 0.10);
    cursor: pointer;
}

.socials .socials-div:hover a i {
    font-size: 1.7rem;
    color: white;

}

/* ------------------ MAIN ----------------- */

.container {
    width: 100%;
    height: fit-content;
    position: relative;
}


.background {
    display: block;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 9;
    overflow: hidden;
    position: absolute;
    z-index: 0;
}

.circle {
    border-radius: 50%;
    position: absolute;
}

.small {
    width: clamp(2rem, 4.5rem, 5rem);
    height: clamp(2rem, 4.5rem, 5rem);
    top: 0;
    left: 0;
    transform: translate(200%, 300%);
    background-image: linear-gradient(135deg, var(--purple), var(--pink));
}

.large {
    width: clamp(6rem, 28rem, 45rem);
    height: clamp(6rem, 28rem, 45rem);
    top: 0;
    bottom: 0;
    transform: translate(-15%, 80%);
    background-image: linear-gradient(195deg, var(--purple), var(--pink));
}

.main-tab {
    width: inherit;
    height: inherit;
    overflow-x: hidden;
}

.tabcontent {
    display: grid;
    place-items: center;
}


.main-page {
    width: 100%;
    height: fit-content;
    padding: 2rem 12% 0 12%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.section {
    width: 100%;
    padding: 6% 12%;
    border-top: 0.5px solid rgba(0, 0, 0, 0.2);
}

.main-page-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 45%;
    height: auto;
    align-items: left;
    transform: translateX(-250%);
}

.main-page-text h1 {
    font-size: 12rem;
    font-family: var(--allura);
    line-height: 8rem;
}

.main-page-text h4 {
    font-size: 2.12rem;
    font-weight: 300;
    color: var(--dark-gray);
    line-height: 3rem;
}

.main-page-text p {
    font-size: 1.45rem;
    font-family: var(--poppins);
    font-weight: 200;
    text-align: left;
    padding-top: 3rem;
    padding-bottom: 0;
}

.main-page img {
    width: 34.35rem;
    transform: translateX(250%);
}


/* ------------- HOMEPAGE ------------- */
#homepage {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: fit-content;
}

.homepage-main,
.homepage-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    max-width: 1600px;
    height: fit-content;
}

.homepage-main {
    padding: 0 12%;
    position: relative;
    overflow: hidden;
}

.homepage-main::before {
    content: '';
    opacity: 0;
    width: 42vw;
    height: 42vw;
    max-width: 38rem;
    max-height: 38rem;
    border-radius: 50%;
    position: absolute;
    bottom: -63%;
    left: -10%;
    background-image: var(--gradient);
}

@keyframes zoomCircle {
    0% {
        opacity: 0;
        scale: 0.5;
    }
    100% {
        opacity: 1;
        scale: 1;
    }
}

@keyframes slideFromLeft {
    0% {
        transform: translateX(-250%);
    }
    100% {
        transform: translateX(0);
    }
}

.homepage-main.zoom-out::before {
    animation: zoomCircle 0.3s ease-in-out forwards;
    animation-delay: 2.4s;
}

.opaque {
    opacity: 1;
}

.homepage-main.opaque::before {
    opacity: 1;
}


.homepage-main::after {
    content: '';
    opacity: 0;
    width: 6.5vw;
    height: 6.5vw;
    max-width: 5.85rem;
    max-height: 5.85rem;
    border-radius: 50%;
    position: absolute;
    top: 30%;
    left: 10%;
    background-image: linear-gradient(290deg, #fca5f1, #cdb5ff);
}

.homepage-main.zoom-out::after {
    animation: zoomCircle 0.3s ease-in-out forwards;
    animation-delay: 2.7s;
}

.homepage-main.opaque::after {
    opacity: 1;
}

.homepage-container::before {
    opacity: 0;
    content: '';
    width: 18vw;
    height: 18vw;
    max-width: 16.2rem;
    max-height: 16.2rem;
    border-radius: 50%;
    position: absolute;
    bottom: -15%;
    right: -3%;
    background-image: linear-gradient(185deg, #fca5f1, #cdb5ff);
}

.homepage-container.zoom-out::before {
    animation: zoomCircle 0.3s ease-in-out forwards;
    animation-delay: 3s;
}

.homepage-container.opaque::before {
    opacity: 1;
}



.homepage-container img {
    width: 51%;
    z-index: 10
}

.slide-from-left-img {
    animation: slideFromLeft 1.2s ease-in-out;
    animation-delay: 1.2s;
}

.opacityImg {
    opacity: 1;
}

.homepage-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 5%;
    width: 49%;
}

.homepage-text h1 {
    align-self: flex-start;
    font-size: 8rem;
    font-family: var(--eyesome);
    font-weight: 500;
    background: url(resources/hello-bg.svg) no-repeat center;
    background-size: contain;
    background-position: cover;
    display: inline-block;
    z-index: 10;
}

.homepage-text p {
    font-size: 1.1rem;
    align-self: flex-start;
    z-index: 10;
    font-family: var(--poppins);
}

.homepage-text .button-landing {
    font-weight: 500;
    font-size: 1.1rem;
    align-self: flex-start;
    z-index: 10;
    font-family: var(--poppins);
    text-decoration: none;
    border-radius: 25px;
}

.tech-section {
    width: 100vw;
    padding: 1.5% 12%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 3%;
    padding-bottom: 3%;
    gap: 1rem;
    background: var(--dirty-white);
}

.tech-section-container {
    max-width: 1600px;
}

.tech-container {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    margin-top: 0.8rem;
}

.tech-container i {
    font-size: 4rem;
    color: var(--gray);
}

.html:hover i {
    color: #E34F26;
}

.css:hover i {
    color: #1572B6;
}

.tailwind:hover i {
    color: #38B2AC;
}

.javascript:hover i {
    color: #F7DF1E;
}
.react:hover i {
    color: #61DAFB;
}
.vue:hover i {
    color: #42b883;
}

.go:hover i {
    color: #00ADD8;
}

.php:hover i {
    color: #8892BF;
}

.mysql:hover i {
    color: #00758F;
}

.figma:hover i {
    color: #F24E1E;
}

.vscode:hover i {
    color: #007ACC;
}

.git:hover i {
    color: #F05032;
}

.github:hover i {
    color: #181717;
}

.tooltip {
    position: relative;
    display: inline-block;
}

.tooltip .toolTipText {
    visibility: hidden;
    background-color: var(--white);
    text-align: center;
    width: max-content;
    padding: 0.25rem 1rem;
    border-radius: 15px;
    position: absolute;
    border: 0.5px solid var(--gray);
    color: var(--dark-gray);
    z-index: 1;
}

.tooltip:hover .toolTipText {
    visibility: visible;
}

.featured-work {
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
}

.featured-work-container {
    max-width: 1600px;
}

.homepage-featured {
    width: 100%;
    height: fit-content;
    display: grid;
    gap: 1.2rem;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    background: var(--white);
    border-top: 0.5ps solid var(--gray);
}

.homepage-featured-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: left;
    min-width: fit-content;
    width: 100%;
    height: fit-content;
    border-radius: 15px;
    background: var(--white);
    padding: 1rem;
    box-shadow: 0 2px 4px 0 rgba(211, 211, 211, 0.30),
        0 2px 6px 0 rgba(200, 200, 200, 0.25),
        0 3px 8px 0 rgba(200, 200, 200, 0.15);
    cursor: pointer;
}

.homepage-featured-card a{
    text-decoration: none;
}

.featured-details h4 {
    color: var(--dark-gray);
}

.homepage-label {
    color: gray;
    font-family: 1.2;
    font-weight: 500;
    letter-spacing: 0.1rem;
    text-align: center;
    margin-bottom: 2rem;
    text-transform: uppercase;
}

.label-one {
    margin-bottom: 0;
}

/* ---------------- ABOUT ----------- */

.internship {
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--dirty-white);
}

.section-container {
    max-width: 1600px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.about-section {
    max-width: 1600px;
    overflow-x: hidden;
}

.internship-container {
    max-width: 1600px;
    padding: 1.2% 6%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}



.internship-text {
    height: 100%;
    
}

.internship-text h1 {
    font-weight: 300;
    font-size: 3rem;
    line-height: 3rem;
}

.internship-text a {
    color: var(--gray);
    font-family: var(--poppins);
}

.internship-text a:hover {
    opacity: 0.7;
}

.internship-text p {
    margin-bottom: 1.2rem;

}

/* @keyframes on-scroll-from-left {
    from {
        opacity: 0;
        transform: translateX(250%);
    }
    to {
        opacity: 1;
        transform: translateX(0%);
    }
} */

/* .internship-photo {
    animation: on-scroll-from-left ease-in-out;
    animation-timeline: view();
    animation-range: entry 0% cover 40%;
} */

/* To makie this work */
.internship-photo {
    /* opacity: 0; */
    /* transform: translateX(-250%); */
    transition: all 1s ease-in-out;
  }
  
  .internship-photo.show {
    opacity: 1;
    transform: translateX(0);
  }
  

.internship-photo img {
    width: 35rem;
    filter: drop-shadow(0 2px 4px rgba(211, 211, 211, 0.30)) drop-shadow(0 2px 6px rgba(200, 200, 200, 0.25)) drop-shadow(0 3px 8px rgba(200, 200, 200, 0.15));
    
}

.education {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: 1600px;
}

.education-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 2rem;
    width: 100%;
    border-bottom: 0.5px solid rgba(160, 160, 160, 0.5);
}

.education-text h1 {
    font-weight: 300;
    font-size: 3rem;
}

.education-text h3,
.internship-text h3 {
    font-weight: 300;
    font-size: 1.5rem;
    margin-top: 1rem;
}

.education-text h4,
.internship-text h4 {
    font-weight: 300;
    font-size: 1.3rem;
    line-height: 1.8rem;
    margin-bottom: 1rem;
}

.education-text p,
.internship-text p {
    font-weight: 300;
    font-size: 1.1rem;
    font-family: var(--poppins);
}

.education-photo-top,
.internship-photo {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
}

.education-text,
.internship-text {
    width: 50%;
}


.education-bottom {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    gap: 1rem;
    padding-top: 2rem;
}

.photos {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    width: 100%;
}


.education-photo {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 0.5rem;
    border-radius: 15px;
    background: var(--egg-white);
    box-shadow: 0 2px 4px 0 rgba(211, 211, 211, 0.30),
        0 2px 6px 0 rgba(200, 200, 200, 0.25),
        0 3px 8px 0 rgba(200, 200, 200, 0.15);
}

.education-photo:hover {
    box-shadow: 0 2px 6px 0 rgba(211, 211, 211, 0.30),
        0 3px 8px 0 rgba(170, 170, 170, 0.25),
        0 4px 10px 0 rgba(170, 170, 170, 0.45);
    transition: 0.5s;
}

.education-photo img {
    width: 100%;
    border-radius: 10px;
    object-fit: fill;
}

/* --------------- PORTFOLIO ------------------ */
#portfolio {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow-x: hidden;
}

.portfolio-section {
    max-width: 1600px;
    overflow-x: hidden;

}

.portfolio-img {
    filter: drop-shadow(0 2px 4px rgba(252, 165, 241, 0.30)) drop-shadow(0 2px 6px rgba(205, 181, 255, 0.25)) drop-shadow(0 3px 8px rgba(205, 181, 255, 0.15));
    ;
}

.portfolio-container {}

.portfolio-sec h4 {
    padding-top: 6rem;
}

.portfolio-sec p {
    padding-top: 0.8rem;
}

#portfolio .featured-works {
    width: 100vw;
    height: fit-content;
    background: var(--dirty-white);
}

.featured-works-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.featured-card-container {
    max-width: 1600px;
    padding: 1.2% 12%;
    display: grid;
    place-self: center;
    gap: 1.2rem;
    grid-template-columns: repeat(auto-fit, minmax(23rem, 1fr));
}

.featured-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    min-width: fit-content;
    width: 100%;
    height: fit-content;
    border-radius: 15px;
    background: var(--white);
    padding: 1rem;
    box-shadow: 0 2px 4px 0 rgba(211, 211, 211, 0.30),
        0 2px 6px 0 rgba(200, 200, 200, 0.25),
        0 3px 8px 0 rgba(200, 200, 200, 0.15);
    cursor: pointer;
}

.featured-card:hover,
.homepage-featured-card:hover {
    box-shadow: 0 2px 6px 0 rgba(211, 211, 211, 0.30),
        0 3px 8px 0 rgba(170, 170, 170, 0.25),
        0 4px 10px 0 rgba(170, 170, 170, 0.45);
    transition: 0.5s;
}

.featured-photo img {
    border-radius: 10px;
    width: 100%;

}

.card-footer {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.action-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid orangered;
    width: 100%;
    height: 100%;
}

.link-icon {
    font-size: 1.5rem;
    color: var(--light-gray);
    padding-right: 1rem;
    transform: translateY(0.5rem);
    opacity: 0;
    transition: all 0.5s ease-in-out;
}

.featured-card:hover .link-icon,
.homepage-featured-card:hover .link-icon {
    opacity: 0.9;
}

.featured-details {
    padding-left: 1rem;
}

.featured-details h4 {
    font-weight: 300;
    font-size: 1.3rem;
    text-align: left;
}

.featured-details p {
    color: var(--gray);
    font-size: 1rem;
    font-family: var(--poppins);
}

.featured-techs {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 0.25rem;
    gap: 0.5rem;
}

.featured-card a{
    text-decoration: none;
}

.featured-details h4 {
    color: var(--dark-gray);
}

/* ---------------- CONTACT ------------------- */
.contact-section {
    justify-content: space-between;
    width: 100vw;
    max-width: 1600px;
    overflow-x: hidden;

}

.contact-sec {
    width: 50%;
    justify-content: space-between;
}

.contacts {
    display: flex;
    justify-content: left;
    align-items: left;
    gap: 2rem;
    width: 100%;
    height: fit-content;
    margin-top: 4.5rem;
}

.socials-part {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: left;
    padding-left: 0;
    gap: 1rem;
}

.socials-part .socials-div {
    display: flex;
    justify-content: left;
    align-items: left;
}

.socials-part .socials-div a {
    gap: 1.5rem;
    width: unset;
    height: unset;
    border-radius: 0;
    padding: 0;
}

.socials-part .socials-div a:hover {
    opacity: 0.7;
}

.socials-div a .icon {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.8rem;
    color: var(--white);
    width: 3.5rem;
    height: 3.5rem;
    padding: 0.5rem;
    border-radius: 50%;
}

.socials-part .socials-div a p {
    font-size: 1.3rem;
    font-weight: 500;
    padding: 0;
}

.twitter {
    background: var(--twitter);
}

.facebook {
    background: var(--facebook);
}

.linkedin {
    background: var(--linkedin);
}

.instagram {
    background-image: var(--instagram);
}

.twitter-text {
    color: var(--twitter);
}

.facebook-text {
    color: var(--facebook);
}

.linkedin-text {
    color: var(--linkedin);
}

.instagram-text {
    background: var(--instagram);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.email-sec {
    width: 100vw;
    background: var(--dirty-white);
    display: flex;
    justify-content: center;
    align-items: center;
}

.email-sec-container {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 1600px;
}

.email-container {
    width: 100%;
}

form {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.form-container {
    display: flex;
    justify-content: space-between;
    width: 100%;
    height: fit-content;
    gap: 3rem;
}

.form-left {
    display: flex;
    flex-direction: column;
    justify-content: left;
    align-items: left;
    width: 50%;
}

.form-right {
    display: flex;
    flex-direction: column;
    width: 50%;
    height: 100%;
}

.form-right textarea {
    width: 100%;
}

form h1 {
    font-weight: 300;
    font-size: 2.5rem;
    margin-bottom: 1.8rem;
}

.form-left label,
.form-right label {
    font-size: 1.05rem;
    letter-spacing: 0.05rem;
    margin-bottom: 0.35rem;
    font-weight: 300;
    font-family: var(--poppins);
}

.form-left input {
    height: 3.25rem;
    border-radius: 10px;
    margin-bottom: 1rem;
}

.form-right textarea {
    height: 15.6rem;
    border-radius: 10px;
}

form input,
form textarea {
    padding: 0.5rem 1.1rem;
    font-size: 1.1rem;
    letter-spacing: 0.02rem;
    font-family: var(--poppins);
    font-weight: 300;
    color: rgba(50, 50, 50, 1);
    border: 0.5px solid rgba(100, 100, 100, 0.8);
}

form textarea {
    padding: 0.8rem 1.1rem;

}

.button-container {
    display: flex;
    justify-content: flex-end;
}

form button {
    padding: 0.8rem 2rem;
    font-size: 1.1rem;
    font-weight: 600;
    color: var(--egg-white);
    background: #222121;
    border-radius: 10px;
    width: fit-content;
    align-self: right;
    cursor: pointer;
    font-family: var(--poppins);
}

form button:hover {
    background: var(--dark-gray);
    color: #fff;
    border-color: var(--dark-gray);
    transition: all 0.2s ease-in;
}

.error-notice {
    display: none;
    margin-top: 0.25rem;
    margin-bottom: 0.5rem;
    font-family: var(--poppins);
    font-size: 0.9rem;
    color: rgb(199, 79, 79);
}

.email-status {
    visibility: hidden;
    width: 100%;
    height: fit-content;
    margin-top: 1.8rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    border: 1px solid rgba(69, 148, 69, 0.795);
    background: rgb(212, 247, 212);

}

#responseMessage {
    font-size: 1rem;
    font-family: var(--poppins);
    padding: 1rem;
    color: rgba(69, 148, 69, 0.795);
    text-align: center;
}

/* -------------- FOOTER -------------------- */

footer {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    font-size: 1.2rem;
    padding: 2.5% 12%;
    background: var(--dirty-white);
    color: var(--gray);
    font-family: var(--poppins);
    border-top: 0.5px solid rgba(0, 0, 0, 0.2);

}

.footer-container {
    max-width: 1600px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.copyright {
    display: flex;
    justify-content: left;
    align-items: center;
    width: 50%;
    font-weight: 300;
    gap: 0.5rem;
}

.my-name {
    text-decoration: none;
    color: var(--gray);
}

.my-name:hover {
    color: var(--dark-gray);
}

.footer-nav ul {
    display: flex;
    justify-content: space-between;
    width: 50%;
    gap: 2rem;
    list-style: none;
}

.footer-nav ul li button {
    font-size: 1.2rem;
    font-weight: 300;
    background: none;
    border: none;
    color: var(--gray);
    text-transform: lowercase;
    cursor: pointer;
}

.footer-nav ul li button:hover {
    color: var(--dark-gray);
}


/* ------------ BREAKPOINTS --------------- */
@media (min-width: 1536px) {
    .main-page {
        width: 1550px;
        max-width: 1550px;
        justify-content: space-between;
        padding-left: 7.9%;
        padding-right: 7.9%;
    }
    .education {
        width: 1550px;
        max-width: 1550px;
        padding-left: 7.9%;
        padding-right: 7.9%;
    }
    #contact-form {
        padding-left: 12%;
        padding-right: 12%;
    }
}

@media (max-width: 1536px) {
    nav ul {
        gap: 10px;
    }
}

@media (max-width: 1280px) {
    .logo p {
        display: none;
    }

    .nav ul {
        gap: 1.5rem;
    }

    nav ul li button:hover::after,
    nav ul li button.active::after {
        width: 100%;
    }

    header,
    .main-page,
    .contact-section,
    footer {
        padding-left: 8%;
        padding-right: 8%;
    }

    .main-page-text h1 {
        line-height: 6.5rem;
    }

    .portfolio-sec h1 {
        font-size: 10rem;
    }

    #portfolio .featured-works {
        padding-left: 8%;
        padding-right: 8%;
    }

    .featured-card-container {
        grid-template-columns: repeat(3, 1fr);
        ;
        padding: 1.2% 3%;
    }

    .education,
    .internship {
        padding-left: 8%;
        padding-right: 8%;
    }
    .internship-container {
        padding-left: 0;
        padding-right: 0;
    }
}

@media (max-width: 1024px) {

    header,
    #portfolio .featured-works,
    footer {
        padding: 3% 6%;
    }

    .logo p {
        display: flex;
    }

    .checkBtn {
        display: block;
        font-size: 2rem;
        z-index: 2000;
    }

    .checkBtn .close-icon {
        display: none;
    }

    .nav ul {
        position: fixed;
        flex-direction: column;
        width: 100%;
        height: 100vh;
        background: var(--dirty-white);
        top: 0;
        right: -100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        transition: all .5s;
    }

    .nav.active ul {
        right: 0;
    }

    .nav ul li {
        width: 100%;
        text-align: center;
        text-transform: uppercase;
        letter-spacing: 0.1rem;
        font-weight: 600;
        padding: 2rem 0;
        font-size: 1.2rem;
    }

    .nav ul li:not(.socials):hover {
        background: rgba(15, 15, 15, 0.2);
        color: var(--txt-hover);
    }

    nav ul li button:hover::after,
    nav ul li button.active::after {
        width: 0%;
    }

    nav ul li button {
        outline: none;
        user-select: none;
        -webkit-tap-highlight-color: transparent;
    }

    .socials {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .twitter-nav {
        color: var(--twitter);
    }

    .facebook-nav {
        color: var(--facebook);
    }

    .linkedin-nav {
        color: var(--linkedin);
    }

    .instagram-nav {
        background: var(--instagram);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    .main-page,
    .contact-section {
        padding-top: 12%;
        padding-left: 15%;
        padding-right: 15%;
        flex-direction: column;
        flex-wrap: wrap;
    }

    .main-page-text {
        width: 100%;

    }

    .main-page-text h1 {
        font-size: 8.5rem;
        line-height: 3.5rem;
        /* border: 1px solid blue; */
    }

    .main-page-text h4 {
        font-size: 1.7rem;
        line-height: 2rem;
        padding-top: 1rem;
    }

    .main-page-text p {
        padding-top: 1rem;
        font-size: 1.2rem;
    }

    .main-page img {
        width: 100%;
    }

    .homepage-text h1 {
        font-size: 5rem;
    }

    .homepage-text p {
        font-size: 1rem;
    }

    .portfolio-sec h1 {
        margin-bottom: 4rem;
    }

    .education-bottom {
        flex-direction: column;
    }

    .internship,
    .internship-container {
        flex-direction: column;
    }

    .internship-text {
        order: 1;
        width: 100%;
    }

    .internship-photo {
        order: 2;
        width: 100%;
    }

    .internship-photo img {
        width: 50rem;
    }
    .about-section,
    .education,
    .internship {
        padding-left: 12%;
        padding-right: 12%;
    }
    .internship-photo img {
        width: 35rem;
        margin-top: 2rem;
    }
    .featured-card-container {
        grid-template-columns: repeat(2, 1fr);
    }
}



@media (max-width: 768px) {
    .main-page,
    .contact-section {
        padding-top: 20%;
        padding-left: 7.5%;
        padding-right: 7.5%;
    }

    footer {
        padding-top: 4%;
        padding-bottom: 4%;
    }

    .footer-nav {
        display: none;

    }

    .homepage-text h1 {
        font-size: 4rem;
    }

    .homepage-text p {
        font-size: 0.9rem;
    }

    .tech-section {
        gap: 1rem;
    }

    .tech-container i {
        font-size: 3rem;
    }

    .copyright {
        width: 100%;
        justify-content: center;
        font-size: 1rem;
    }

    .photos,
    .education-bottom {
        gap: 0.5rem;
    }

    .internship,
    .education {
        padding: 15% 8%;
    }
    .internship-container {
        padding-left: 0;
        padding-right: 0;
    }

    .education-top {
        gap: 2rem;
        flex-direction: column;
    }

    .education-text {
        width: 100%;
    }

    .email-sec {
        width: 100vw;
    }

    .form-container {
        flex-wrap: wrap;
        width: 100%;
        gap: 0.8rem;
    }

    .form-left,
    .form-right {
        width: 100%;
    }

    form input,
    form textarea {
        width: 100%;
    }

    form h1 {
        margin-top: 2rem;
    }

    .button-container {
        justify-content: flex-start;
    }

    form button {
        margin-top: 1.5rem;
    }

    .internship-photo img {
        width: 40rem;
    }
}

@media (max-width: 640px) {

    .logo p {
        display: none;
    }

    footer {
        padding-top: 5%;
        padding-bottom: 5%;
    }

    .homepage-container {
        flex-direction: column;
    }

    .homepage-text {
        order: 1;
        width: 100%;
        z-index: 10;
    }

    .homepage-container img {
        order: 2;
        width: 100%;
    }

    .homepage-text h1 {
        font-size: 8rem;
    }

    .homepage-text p {
        font-size: 1.2rem;
    }

    .homepage-main::before {
        bottom: -18%;
        left: -7%;
        width: 55vw;
        height: 55vw;
    }

    .homepage-main::after {
        top: 55%;
        left: 12%;
        width: 15vw;
        height: 15vw;
    }

    .homepage-container::before {
        top: 42%;
        right: -20%;
        width: 35vw;
        height: 35vw;
    }

    .tech-container i {
        font-size: 2.5rem;
    }

    .education-photo {
        padding: 0.25;
        border-radius: 10px;
    }

    .education-photo img {
        border-radius: 8px;
    }

    .internship-photo img {
        width: 25rem;
    }
    
    .featured-card-container {
        grid-template-columns: 1fr;
        padding: 1.2% 3%;
    }
}

@media (max-width: 475px) {
    .contact-section {
        gap: 2rem;
    }

    .main-page-text h1 {
        font-size: 7.5rem;
    }

    .tech-section p {
        font-size: 1rem;
    }

    .tech-container i {
        font-size: 2rem;
    }

    .main-page,
    .contact-section {
        padding: 20% 8% 0 8%;
    }

    .portfolio-sec h1 {
        font-size: 7rem;
        padding-bottom: 1rem;
    }

    .contacts {
        justify-content: left;
        margin-top: 2.2rem;
        gap: 1.5rem;
    }

    .socials-part .socials-div a {
        gap: 0.5rem;
    }

    .contacts .socials-part .socials-div a .icon {
        width: 2.2rem;
        height: 2.2rem;
        font-size: 1.2rem;
    }

    footer {
        padding-top: 7%;
        padding-bottom: 7%;
    }

    .education-bottom,
    .photos {
        gap: 0.2rem;
    }

    .education-photo {
        padding: 0.25rem;
    }

    .education-text h1,
    .internship-text h1 {
        font-size: 2.15rem;
    }

    form h1 {
        font-size: 2rem;
    }

    .email-status {
        margin-top: 3rem;
    }
    .internship,
    .education {
        padding-top: 20%;
        padding-bottom: 20%;
        padding-left: 8%;
        padding-right: 8%;
    }
    .internship-container {
        padding-left: 0;
        padding-right: 0;
    }

}

@media (max-width: 360px) {
    .logo p {
        display: none;
    }

    .homepage-text h1 {
        font-size: 5rem;
    }

    .tech-container i {
        font-size: 1.8rem;
    }

    .portfolio-sec h1 {
        font-size: 5rem;
        margin-bottom: 1rem;
    }

    .featured-works,
    .homepage-featured {
        grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
    }

    .featured-card,
    .homepage-featured-card {
        width: 100%;
    }

    .contacts {
        flex-wrap: wrap;
        gap: 1rem;
    }

    .contact-sec h1 {
        font-size: 5rem;
    }

    .contact-sec h4 {
        font-size: 1.3rem;
        padding: 0;
    }

    .contacts .socials-part .socials-div a .icon {
        width: 2.5rem;
        height: 2.5rem;
        font-size: 1.2rem;
    }

    .education-bottom {
        flex-direction: row;
    }

    .photos {
        flex-direction: column;
        flex-wrap: wrap;
    }

    form button {
        width: 100%;
    }

    .email-status {
        margin-top: 5rem;
    }

    .internship ,
    .education {
        padding-top: 20%;
        padding-bottom: 20%;
        padding-left: 8%;
        padding-right: 8%;
    }
    

    .internship-text h1,
    .education-text h1 {
        line-height: 2.5rem;
        font-size: 1.8rem;
    }

    .internship-photo img {
        width: 20rem;
    }

    .internship-text h3,
    .education-text h3 {
        font-size: 1.4rem;
    }

    .education-text h3 {
        line-height: 1.8rem;
    }

    .internship-text h4,
    .education-text h4 {
        font-size: 1.2rem;
    }

    .internship-text p,
    .education-text p {
        font-size: 1rem;
    }
    .internship-container {
        padding-left: 0%;
        padding-right: 0%;
    }
    .internship-photo {
        width: 5rem;
    }
    
}

/* ------------- Sweet Alert ------------------ */

.custom-long-button {
    width: 120px !important;
    font-size: 18px !important; 
    padding: 8px 16px !important; 
}

/* --------------- Animations on Scroll ----------------- */

.hidden-aos {
    opacity: 0;
    filter: blur(5px);
    transform: translateX(-250%);
    transition: all 1s;
}

.show {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0);
    /* transition: all 1s; */
}